sreformat(1)

NAME

sreformat - convert sequence file to different format

SYNOPSIS
sreformat [options] format seqfile

DESCRIPTION
sreformat reads the sequence file seqfile in any supported format, reformats it into a new format specified by format, then prints the reformatted text.

Supported input formats include (but are not limited to) the unaligned formats FASTA, Genbank, EMBL, SWISS-PROT, PIR, and GCG, and the aligned formats Stockholm, Clustal, GCG MSF, and Phylip.

Available unaligned output file format codes include fasta (FASTA format); embl (EMBL/SWISSPROT format); genbank (Genbank format); gcg (GCG single sequence format); gcgdata (GCG flatfile database format); strider (MacStrider format); zuker (Zuker MFOLD format); ig (Intelligenetics format); pir (PIR/CODATA flatfile format); squid (an undocumented St. Louis format); raw (raw sequence, no other information). The available aligned output file format codes include stockholm (PFAM/Stockholm format); msf (GCG MSF format); a2m (aligned FASTA format, called A2M by the UC Santa Cruz HMM group); PHYLIP (Felsenstein's PHYLIP format); and selex (old SELEX/HMMER/Pfam annotated alignment format); All thee codes are interpreted case-insensitively (e.g. MSF, Msf, or msf all work).

Unaligned format files cannot be reformatted to aligned formats. However, aligned formats can be reformatted to unaligned formats -- gap characters are simply stripped out.

This program was originally named reformat, but that name clashes with a GCG program of the same name.

OPTIONS

-a  Enable alignment reformatting. By default, sreformat expects that the input file should be handled as an unaligned input file (even if it is an alignment), and it will not allow you to convert an unaligned file to an alignment (for obvious reasons). This may seem silly; surely if sreformat can autodetect and parse alignment file formats as input, it can figure out when it's got an alignment! There are two reasons. One is just the historical structure of the code. The other is that FASTA unaligned format and A2M aligned format (aligned FASTA) are impossible to tell apart with 100% confidence.

-d  DNA; convert U's to T's, to make sure a nucleic acid sequence is shown as DNA not RNA. See -r.

-h  Print brief help; includes version number and summary of all options, including expert options.

-l  Lowercase; convert all sequence residues to lower case. See -u.

-r  RNA; convert T's to U's, to make sure a nucleic acid sequence is shown as RNA not DNA. See -d.

-u  Uppercase; convert all sequence residues to upper case. See -l.

-x  For DNA sequences, convert non-IUPAC characters (such as X's) to N's. This is for compatibility with benighted people who insist on using X instead of the IUPAC ambiguity character N. (X is for ambiguity in an amino acid residue). Warning: the code doesn't check that you are actually giving it DNA. It simply literally just converts non-IUPAC DNA symbols to N. So if you accidentally give it protein sequence, it will happily convert most every amino acid residue to an N.

-B  (Babelfish). Autodetect and read a sequence file format other than the default (FASTA). Almost any common sequence file format is recognized (including Genbank, EMBL, SWISS-PROT, PIR, and GCG unaligned sequence formats, and Stockholm, GCG MSF, and Clustal alignment formats). See the printed documentation for a complete list of supported formats.

EXPERT OPTIONS

--informat <s>
    Specify that the sequence file is in format <s>, rather than the default FASTA format. Common examples include Genbank, EMBL, GCG, PIR, Stockholm, Clustal, MSF, or PHYLIP; see the printed documentation for a complete list of accepted format names. This option overrides the default format (FASTA) and the -B Babelfish autodetection option.

--mingap
    If seqfile is an alignment, remove any columns that contain 100% gap characters, minimizing the overall length of the alignment. (Often useful if you've extracted a subset of aligned sequences from a larger alignment.)

--pfam
    For SELEX alignment output format only, put the entire alignment in one block (don't wrap into multiple blocks). This is close to the format used internally by Pfam in Stockholm and Cambridge.

--sam
    Try to convert gap characters to UC Santa Cruz SAM style, where a . means a gap in an insert column, and a - means a deletion in a consensus/match column. This only works for converting aligned file formats, and only if the alignment already adheres to the SAM convention of upper case for residues in consensus/match columns, and lower case for residues in insert columns. This is true, for instance, of all alignments produced by old versions of HMMER. (HMMER2 produces alignments that adhere to SAM's conventions even in gap character choice.) This option was added to allow Pfam alignments to be reformatted into something more suitable for profile HMM construction using the UCSC SAM software.

--samfrac <x>
    Try to convert the alignment gap characters and residue cases to UC Santa Cruz SAM style, where a . means a gap in an insert column and a - means a deletion in a consensus/match column, and upper case means match/consensus residues and lower case means inserted resiudes. This will only work for converting aligned file formats, but unlike the --sam option, it will work regardless of whether the file adheres to the upper/lower case residue convention. Instead, any column containing more than a fraction <x> of gap characters is interpreted as an insert column, and all other columns are interpreted as match columns. This option was added to allow Pfam alignments to be reformatted into something more suitable for profile HMM construction using the UCSC SAM software.

SEE ALSO

@SEEALSO@

AUTHOR
@PACKAGE@ and its documentation is @COPYRIGHT@ HMMER - Biological sequence analysis with profile HMMs Copyright (C) 1992-1999 Washington University School of Medicine All Rights Reserved
    This source code is distributed under the terms of the
    GNU General Public License. See the files COPYING and LICENSE
    for details. See COPYING in the source code distribution for more details, or contact me.
Sean Eddy
Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu